package org.dromara.system.service.score;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.score.bo.ScoreDataStudentBo;
import org.dromara.system.domain.score.vo.ScoreDataStudentVo;
import java.util.Collection;
import java.util.List;

/**
 * 成绩_子学生idService接口
 *
 * @author boman
 * @date 2023-08-17
 */
public interface IScoreDataStudentService {

    /**
     * 查询成绩_子学生id
     */
    ScoreDataStudentVo queryById(Long scoreStudentId);

    /**
     * 查询成绩_子学生id列表
     */
    TableDataInfo<ScoreDataStudentVo> queryPageList(ScoreDataStudentBo bo, PageQuery pageQuery);

    /**
     * 查询成绩_子学生id列表
     */
    List<ScoreDataStudentVo> queryList(ScoreDataStudentBo bo);

    /**
     * 新增成绩_子学生id
     */
    Boolean insertByBo(ScoreDataStudentBo bo);

    /**
     * 修改成绩_子学生id
     */
    Boolean updateByBo(ScoreDataStudentBo bo);

    /**
     * 校验并批量删除成绩_子学生id信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
